Bug 115871 - ATI fglrx Driver for Radeon 9700 rpm install fails during module build due to elf linking
Summary: ATI fglrx Driver for Radeon 9700 rpm install fails during module build due to...
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: elfutils (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-16 18:56 UTC by Jason Knight
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-17 04:38:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Redirected output of 'rpm -ivh --force fglrx*.rpm' (2.05 KB, text/plain)
2004-02-16 18:58 UTC, Jason Knight
no flags Details

Description Jason Knight 2004-02-16 18:56:24 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
I am trying to install the ATI 3.7.0 driver on my FC1 Test1 x86_64 (X
version 4.3.0-42; kernel 2.4.22-1.2166)  system to enable dualhead yet
the rpm install when trying to auto build the kernel module fglrx puts
out an error (see in attachment) of something to do with not being
able to format the elf64 into the elf32 during linking.

If I ignore that all and continue to run the fglrxconfig I can setup
my XF86Config-4 file and then on running of x it fails based on the
fact that it cant load the module fglrx. 

Also if I run the make.sh it gives me the same linking error.

Version-Release number of selected component (if applicable):
3.7.0

How reproducible:
Always

Steps to Reproduce:
1.install rpm 'rpm -ivh fglrx*.rpm'
2.
3.
    

Actual Results:  The kernel module build fails and therefore cannot be
run with the new XF86Config-4 file.

Expected Results:  The kernel module should have been built and placed
in its proper location so as to be loaded later when X started up with
its new config file. 

Additional info:

The key are the lines:
linking of fglrx kernel module...
ld: Relocatable linking with relocations from format elf32-i386
(./libfglrx_ip.a(vm.o)) to format elf64-x86-64 (fglrx.o) is not supported
linking failed - kernel module was not generated  

somehow the elf32 lib might be redirected to the elf64 lib?

Comment 1 Jason Knight 2004-02-16 18:58:02 UTC
Created attachment 97708 [details]
Redirected output of 'rpm -ivh --force fglrx*.rpm'

Here is the entire output for the rpm install

Comment 2 Justin M. Forbes 2004-02-17 04:38:27 UTC
These binary drivers include kernel modules.  Until ATI releases a
64bit version of this driver (no plans have been listed yet), it will
be impossible to install.  It is not possible to link 32bit
applications to 64bit libraries, or install 32bit kernel modules into
a 64bit kernel unless someone takes the time to write a thunking
layer.  For graphics support under AMD64, you might look to older ATI
cards (8500, 8800, 9200  except for SE), or Nvidia, which have been
releasing 64bit drivers for some time.  2D support should work with
most cards that have been out for any recent time.


Note You need to log in before you can comment on or make changes to this bug.